package com.atlassian.stash.internal.scm;

/**
 * Exposes push and pull count via JMX.
 *
 * @since 3.8
 */
@SuppressWarnings("unused") //Used via JMX
public interface ScmMXBean {

    /**
     * @return the pull count
     */
    long getPulls();

    /**
     * @return the push count
     */
    long getPushes();
}
